# Copyright (C) Seiko Epson Corporation 2021.

%define pkgtarname epson-sc-p8500d-ww
%define drivername epson-driver
%define filtername epson-inkjet-printer-filter
%define supplier %{pkgtarname}
%define distribution LSB
%define lsbver 3.2
%define filterver 1.0.0

%define driverstr epson-inkjet-printer
%define extraversion -1lsb%{lsbver}
%define supplierstr Seiko Epson Corporation

AutoReqProv: no

Name: %{pkgtarname}
Version: 1.0.4
Release: 1lsb%{lsbver}
Source0: %{filtername}-%{filterver}.tar.gz
Source1: %{pkgtarname}-%{version}.tar.gz
License: LGPL and SEIKO EPSON CORPORATION SOFTWARE LICENSE AGREEMENT
Vendor: Seiko Epson Corporation
URL: http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX
Packager: Seiko Epson Corporation <linux-printer@epson.jp>
BuildRoot: %{_tmppath}/%{pkgtarname}-%{version}-%{release}
Group: Applications/System
Requires: lsb >= %{lsbver}
BuildRequires: lsb-build-cc, lsb-build-c++, lsb-appchk
BuildRequires: gzip
Summary: EPSON SC-P8500D Series - Epson Inkjet Printer Driver

%description
This software is a filter program used with Common UNIX Printing
System (CUPS) from the Linux. This can supply the high quality print
with Seiko Epson Color Ink Jet Printers.

This printer driver is supporting the following printers.

SC-P8500D

For detail list of supported printer, please refer to below site:
http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX

# Packaging settings
%install_into_opt

%prep
rm -rf $RPM_BUILD_DIR/%{filtername}-%{filterver}
rm -rf $RPM_BUILD_DIR/%{pkgtarname}-%{version}

tar xzvf %{_sourcedir}/%{filtername}-%{filterver}.tar.gz -C $RPM_BUILD_DIR/
tar xzvf %{_sourcedir}/%{pkgtarname}-%{version}.tar.gz -C $RPM_BUILD_DIR/

%build
cd $RPM_BUILD_DIR/%{filtername}-%{filterver}
autoreconf -f -i
%configure --host=%{_target} --enable-printadmin  --with-destination=ww
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_cupsserverbin}/filter
install -d %{buildroot}%{_docdir}

cd $RPM_BUILD_DIR/%{filtername}-%{filterver}
install src/epson_inkjet_printer_filter %{buildroot}%{_cupsserverbin}/filter
for file in AUTHORS COPYING COPYING.LIB COPYING.EPSON ; do
	install -m 644 $file %{buildroot}%{_docdir}
done

cd $RPM_BUILD_DIR/%{pkgtarname}-%{version}
install -m 644 doc/UsersManual.ja.html %{buildroot}%{_docdir}
install -m 644 doc/UsersManual.en.html %{buildroot}%{_docdir}
install -m 644 README                  %{buildroot}%{_docdir}
install -m 644 Manual_SC-P8500D.txt    %{buildroot}%{_docdir}

install -d %{buildroot}%{_datadir}/applications
install -m 644 epson-sc-p8500d-ww.desktop %{buildroot}%{_datadir}/applications

install -d %{buildroot}%{_datadir}/Resource
install ServerInfo.ini "%{buildroot}%{_datadir}/Resource/SC-P8500D Series.ini"

install -d %{buildroot}/usr/bin
install set-epson-print-admin-loginid.sh %{buildroot}/usr/bin/set-epson-print-admin-loginid-sc-p8500d-ww.sh

case %{_target_cpu} in
	x86_64)	X86LIB=64 ;;
	*)	;;
esac

for folder in ppds lib"$X86LIB" resource ; do
	install -d %{buildroot}%{_prefix}/$folder
	install -m 644 -t %{buildroot}%{_prefix}/$folder $folder/*
done

%adjust_ppds

cd %{buildroot}%{_prefix}/ppds
for ppd in `ls -1F *.ppd` ; do
	gzip -9 $ppd
done

%pre
%create_opt_dirs
if [ -e "/opt/epson-sc-p8500d-ww/share/Resource/SC-P8500D Series.ini" ] ; then
    echo "pre: ServerInfo is exist"
	cp -r "/opt/epson-sc-p8500d-ww/share/Resource/SC-P8500D Series.ini" /tmp/serverinfo-backup
fi

%post
/sbin/ldconfig
%set_ppd_links
%update_ppds_fast
%restart_cups

cp -f /opt/epson-sc-p8500d-ww/share/applications/epson-sc-p8500d-ww.desktop /usr/share/applications

if [ -x %{_bindir}/update-desktop-database ] ; then
	%{_bindir}/update-desktop-database %{_datadir}/applications
fi

if [ -e /tmp/serverinfo-backup ]; then
	cp -r  /tmp/serverinfo-backup "/opt/epson-sc-p8500d-ww/share/Resource/SC-P8500D Series.ini"
	rm -r  /tmp/serverinfo-backup
    echo "post: restore ServerInfo"
fi

%postun
/sbin/ldconfig
%not_on_rpm_update
%remove_ppd_links
%restart_cups
%end_not_on_rpm_update

if [ -e /usr/share/applications/epson-sc-p8500d-ww.desktop ] ; then
	rm /usr/share/applications/epson-sc-p8500d-ww.desktop
fi

if [ -x %{_bindir}/update-desktop-database ] ; then
	%{_bindir}/update-desktop-database %{_datadir}/applications
fi

%clean
cd $RPM_BUILD_DIR/%{filtername}-%{filterver}
make clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_prefix}/*
/usr/bin/set-epson-print-admin-loginid-sc-p8500d-ww.sh
